Notifly
API ReferenceWorkflows

Retrieve workflow step

Retrieves data for a specific step in a workflow

GET
/v2/workflows/{workflowId}/steps/{stepId}

Retrieves data for a specific step in a workflow

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

workflowId*string
stepId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/workflows/string/steps/string"
{  "data": {    "controls": {      "dataSchema": {},      "uiSchema": {        "group": "IN_APP",        "properties": {          "property1": {            "placeholder": "string",            "component": "EMAIL_EDITOR_SELECT",            "properties": {              "property1": {},              "property2": {}            }          },          "property2": {            "placeholder": "string",            "component": "EMAIL_EDITOR_SELECT",            "properties": {              "property1": {},              "property2": {}            }          }        }      }    },    "controlValues": {},    "variables": {},    "stepId": "string",    "_id": "string",    "name": "string",    "slug": "string",    "type": "in_app",    "origin": "novu-cloud",    "workflowId": "string",    "workflowDatabaseId": "string",    "issues": {      "controls": {        "property1": [          {            "issueType": "ILLEGAL_VARIABLE_IN_CONTROL_VALUE",            "variableName": "string",            "message": "string"          }        ],        "property2": [          {            "issueType": "ILLEGAL_VARIABLE_IN_CONTROL_VALUE",            "variableName": "string",            "message": "string"          }        ]      },      "integration": {        "property1": [          {            "issueType": "MISSING_INTEGRATION",            "variableName": "string",            "message": "string"          }        ],        "property2": [          {            "issueType": "MISSING_INTEGRATION",            "variableName": "string",            "message": "string"          }        ]      }    },    "stepResolverHash": "string"  }}